{
  config,
  lib,
  pkgs,
  inputs,
  ...
}: 
{
  wayland.windowManager.hyprland = with lib; with pkgs; {
    enable = true;
    xwayland.enable = true;
    nvidiaPatches = true;
    recommendedEnvironment = true;

    extraConfig = ''
      monitor=,preferred,auto,1

      input {
        kb_layout = us
        kb_variant =
        kb_model =
        kb_options = caps:escape
        kb_rules =

        follow_mouse = 1

        touchpad {
            natural_scroll = false
        }

        sensitivity = 0 # -1.0 - 1.0
      }
      
      bind = SUPER, Return, exec, ${getExe alacritty}
      bind = SUPER, b, exec, ${getExe chromium}
    '';
  };

  home.pointerCursor = {
    name = "Adwaita";
    package = pkgs.gnome.adwaita-icon-theme;
    size = 24;
    x11 = {
      enable = true;
      defaultCursor = "Adwaita";
    };
  };
}
